Subject: CRAM-MD5 missing security consideration

From: Chris Newman <[email-masked]>
Date: Thu, 13 Nov 2003 14:56:16 -0600

CRAM-MD5 does not authenticate the server and does not include a
client-supplied nonce.  As a result, it is possible to construct a server with
a fixed challenge string that has pre-computed the hashes for all possible
passwords up to a certain length (or from a dictionary).  Such a server could
then immediately determine the user's password if it is sufficiently short.

                - Chris